
html,
body {
    overflow: hidden;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
}

#myCanvas {
position: absolute;
z-index: 100;
display: block;
}

#renderCanvas {
    cursor: move;
    outline: none;
    width: 100%;
    height: 100%;
    touch-action: none;
    z-index: -20;
}




  input:focus, textarea:focus, select:focus{
    outline: none;
}


h1 {
    font-weight: 800;
    font-size: 1rem;
    line-height: 1;
    margin-top: 13px;
}


h2 {
    font-weight: 500;
    font-size: 0.9rem;
    line-height: 1.2;
    padding-top: 15px;
    padding-bottom: 15px;
}

h3 {
    font-weight: 500;
    font-size: 0.7rem;
    line-height: 1.2;
}

.btn-farright {
    display: none;
    position: absolute;
    right: 7px;
    border: none;
    background-color: white !important;
    font-size: 2rem;
}

#spashotGuides {
    pointer-events: none;
    transition: opacity 0.5s;
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 4;
  }

.drop-image {
    background: transparent url(images/gui/drop.svg) no-repeat 50%;
    border: solid 7px #bbf9d1;
}

.grid-image {
    background: transparent url(images/gui/grid.svg) no-repeat 50%;
    border: solid 7px #bbdef9;
}

.grid-image-edit {
    background: transparent url(images/gui/grid2.svg) no-repeat 50%;
    border: solid 7px #bbdef9;
}


.trailerContainer {
    pointer-events: none;
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 4;
  }

.trailer {
position: absolute;
left: 0;
right: 0;
margin: auto;
    pointer-events: none;
    transition: opacity 2s;
    width: 50%;
    z-index: 4;
}


.image-start1 {
    width: 100%; 
    animation-name: START1;
    animation-delay: 0.6s; 
    animation-duration: 60s;
    animation-timing-function: linear;
    animation-fill-mode: forwards;
}

.image-start2 {
   width: 100%; 
    animation-name: START2;
    animation-duration: 90s;
    animation-timing-function: linear;
    animation-fill-mode: forwards;
}



@keyframes START1 {
    from {
      top: 25%;
    }
    to {    
      top: -120%;
    }
 }

@keyframes START2 {
    from {
      top: 100%;
    }
    to { 
        top: -450%;
    }
 }



.visible-grid {
    opacity: 1;
    border: solid 7px #bbdef9;
  }

  .visible {
    opacity: 1;
  }

  .invisible {
    opacity: 0;
    border: solid 0px #bbdef9;
}


.invisibleDisplay {
display: none !important;
}

.flash {
    background-color: #bbdef9;
    opacity: 1;
  }


  .add-image {
    background: transparent url(images/gui/grid.svg) no-repeat 50%;
}

.visible-add {
    opacity: 1;
    border: solid 7px #bbdef9;
  }

  .invisible-add {
    opacity: 0;
    border: solid 0px #bbdef9;
}



  .blocked {
    pointer-events: auto;
    cursor: wait;
    touch-action: auto;
}

.unblocked {
    outline: none;
    pointer-events: none;
}

.topBar {
    /* background-color: rgb(99, 195, 219); */
    position: absolute;
    top: 0px;
    right: 0px;
    width: 100%;
    height: 30px;
    z-index: 30;
    padding: 5px;
    margin-top: 3px
}


.bottomBar {
    position: fixed;
    bottom: 0;
    margin-bottom: 7px;
    right: 0px;
    width: 100%;
    height: 40px;
    z-index: 30;
    padding: 0px;
    margin-top: 3px;
    display: none;
}

.logoDiv {
    float: left;
    /* background-color: rgb(237, 250, 165); */
    top: 5px;
    left: 5px;
    width: 15%;
    min-width: 100px;
    max-width: 250px;
    text-align: left;
    margin-right: 30px;
    margin-left: 7px;
}

.leftMenue {
    position: absolute;
    /* background-color: lightskyblue; */
    top: 8%;
    width: 37%;
    height: 92%;
    min-width: 150px;
    max-width: 310px;
    pointer-events: none;
    text-align: left;
}

.dl {
    padding-top: 15px;
}

.selectFormWrap {
    float: left;
    margin-top: 15px;
    margin-left: 12px;
    /* background-color: blueviolet; */
    border-top: solid black 1px;
    width: 200px;
}

.selectArtworks {
    display: block;
}

.selectViews {
    display: block;
}

.abstandoben{
    margin-top: 22px;
}

.zoomOn { 
    float: right;
    margin-right: 7px;
    margin-top: -10px;
}


.invisibleSelect {
    display: none;
}

.selectedSel {
    font-weight: 900;
}

.defaultSelect {
    pointer-events: all;
    /* color: white; */
    width: 100%;
    padding-left: 2px;
    height: 25px;
    border-bottom: none;
    border-right: none; 
    border-left: none;
    border-top: none;
    /*  background-color: lightskyblue;  */
}



.editierMenu {
    position: absolute;
    background-color: white;
    top: 35px;
    right: 0px;
    width: 250px;
    text-align: left;
    margin-right: 5px;
    padding: 5px;
    display: none;
    z-index: 5;
}

.editButtonsContainer {
    text-align: left;
    padding-bottom: 5px;
    border-bottom: solid 1px;
}


.editButtonsContainerRight {
    padding-top: left;
}

.editButtonsContainerLeft {
    text-align: left;
}


.editButtons {
    /* background-color: aqua; */
    display: inline-block;
    cursor: pointer;
}

.material-icons {
    /* google classe: die buttons zum bearbeiten */
    padding: 3px;
    pointer-events: all;
    cursor: pointer;
}


.login-button {
    /* background-color: lightblue; */
    float: right;
    text-align: right;
    font-weight: bold;
    width: 50px;
    margin-right: 7px;
    margin-left: 10px;
    font-family: Helvetica, Sans-Serif, bold;
    color: #444444;
}

.share-button {
   /*  background-color: lightblue;  */
    float: right;
    text-align: right;
    font-weight: bold;
    width: 50px;
    margin-right: 7px;
    margin-left: 10px;
    font-family: Helvetica, Sans-Serif, bold;
    color: #444444;
}

.close-button {
    /*  background-color: lightblue;  */
     float: right;
     text-align: right;
     font-weight: bold;
     width: 50px;
     margin-right: 14px;
     margin-left: 10px;
     font-family: Helvetica, Sans-Serif, bold;
     color: #444444;
 }

.login-message {
    width: 179px;
    float: right;
    margin-top: 6px;
    text-align: right;
    text-align: left;
    font-size: 11px;
    font-family: Helvetica, Sans-Serif, bold;
}

.login-button:hover {
  cursor: pointer;
}

.loginForm {
    background-color: white;
    position: absolute;
    text-align: left;
    top: 40px;
    right: 20px;
    width: 300px;
    padding: 30px;
    padding-left: 40px;
    border: solid 1px;
    display: none;
}

.email {
    padding-bottom: 7px;
}

.shareForm {
    background-color: white;
    position: absolute;
    text-align: left;
    top: 40px;
    right: 20px;
    width: 300px;
    padding: 30px;
    padding-left: 40px;
    border: solid 1px;
    display: none;
}

x {
    position: absolute;
    top: 2px;
    left: 8px;
}

x:hover {
    cursor: pointer;
}


.active {
    display: inline-block;
}


.publicInfo {
    display: none;
    /* float: left; */
    /* margin-top: 125px; */
    bottom: 7px;
    position: absolute;
    /* height: 350px; */
    padding-left: 10px;
    background-color: white;
}

.VRButton {
    position: absolute;
    height: 40px;
    bottom: 15px;
    width: 40%;
    right: 0;
    left: 0;
    text-align: center;
    margin: auto;
    padding-top: 12px;
    background-color: white;
    font-family: sans-serif;
    font-weight: 800;
    z-index: 100;
    pointer-events: all;
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
}


.editierMenuURechts {
        
    position: absolute;
    /* background-color: white; */
    bottom: 35px;
    right: 0px;
    width: 250px;
    text-align: left;
    margin-right: 5px;
    padding: 5px;
    display: none;
    z-index: 5;
    }  

.editierMenuURechts#hover {
    cursor: pointer;
}

.loadingMessage{
    color: red;
    display: none;
}

.lNeuerAbschnitt{
    margin-top: 10px;
    border-top: solid 0.8px;
    width: 200px;
    padding-top: 10px;
}

.inputFieldsEdit{
    width: 200px;
    height: 3%;
}

/* .inputFieldsLeft{
    width: 153px;
    float: left;
    height: 3%;
    max-height: 28px;
    min-height: 23px;
}
 */
.inputFieldNotSaved {
    background-color: #bbf9d1;
}

.inputFieldsText {

    width: 200px;
    /* min-height: 20px; */
    font-size: 11px;
}

.editButtons {
    font-size: 11px;
}

.klein {
    width: 200px;
}

.invisibleInput {
    display: none;
}

.readonlyInput {
    font-size: 10px;
    border: 0px;
}



.input[type="file"] {
    display: none;
}
.custom-file-upload {
    cursor: pointer;
}




label {
    cursor: pointer;
    /* Style as you please, it will become the visible UI component. */
 }
 
 #file {
    opacity: 0;
    position: absolute;
    z-index: -1;
 }


#fps {
    position: absolute;
    text-align: left;
    bottom: 10px;
    left: 400px;
    width: 70px;
    height: 40px;
}




/* 
switch:

*/

/* The switch - the box around the slider */
.switch {
    position: relative;
    display: inline-block;
    width: 40px;
    height: 24px;
  }
  
  /* Hide default HTML checkbox */
  .switch input {
    opacity: 0;
    width: 0;
    height: 0;
  }
  
  /* The slider */
  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border: solid 1px black;
   pointer-events: none;
    -webkit-transition: .4s;
    transition: .4s;
  }
  
  .slider:before {
    position: absolute;
    content: "";
    height: 18px;
    width: 18px;
    left: 2px;
    bottom: 2px;
    border: solid 1px black;
    -webkit-transition: .4s;
    transition: .4s;
  }
  

  .slider:checked {
      background-color: black;
  }
  
  input:focus + .slider {
    box-shadow: 0 0 1px #000000;
  }
  
  input:checked + .slider:before {
    -webkit-transform: translateX(16px);
    -ms-transform: translateX(16px);
    transform: translateX(16px);
    background-color: black;
  }



  @media only screen and (max-height: 1070px) {


  /*   .trailerContainer {
        height: 140%;
      } */


    .editierMenu {
        line-height: 18px;
    }


    .inputFieldsEdit {
        height: 16px;
        font-size: 10px;
    }

    .lNeuerAbschnitt {
        margin-top: 8px;
        padding-top: 5px;
        font-size: 10px;
    }

    label {
        font-size: 9px;
    }

  }

  @media only screen and (max-height: 800px) {

    .editierMenu {
        line-height: 15px;
    }



    .inputFieldsEdit {
        height: 13px;
    font-size: 9px;
    }

    .lNeuerAbschnitt {
        margin-top: 6px;
    padding-top: 0px;
    font-size: 9px;
    }

    label {
        font-size: 9px;
    }

  }

@media only screen and (max-width: 600px), (max-height: 600px) {
    

    .image-start1 {
        left: -20%;
        width: 140%; 
        animation-duration: 50s;
    }
    


.image-start2 {
    left: -20%;
    width: 140%; 
    animation-duration: 80s;
}
    
    @keyframes START1 {
        from {
          top: 40%;
        }
        to {    
          top: -120%;
        }
     }
    
    @keyframes START2 {
        from {
          top: 120%;
        }
        to { 
            top: -350%;
        }
     }

    .selectViews{
        display: none;
    }

    .topBar{
        display: none;
    }

    .bottomBar{
        display: block;
    }

    .selectFormWrap{
        pointer-events: all;
    }

    .leftMenue {
     border-bottom: none; 
      top: 0px;
      width: 100%;
      min-width: 100px;
      max-width: 900px;
      z-index: 2000;
      padding: 15px;
      height: 100%;
      pointer-events: none;
    }

    .selectFormWrap {
    
        float: left;
        margin-top: 0px;
        /* background-color: blueviolet; */
        border-top: none;
        width: 95%;
  }

  .defaultSelect {
      margin-top: 20px;
  }

  .publicInfo {    
    display: none;
    float: none;
    margin-top: 0px;
    padding-left: 7px;
    width: 100%;
    bottom: 10px;
    margin-left: -15px;
    position: absolute;
}

.shareForm {
    top: 50%;
    width: 80%;
    padding: 30px;
    padding-left: 40px;
    border: solid 1px;
    display: none;
    left: 0;
    right: 0;
    margin: auto;
}


.fixed-bottom {
    display: none;
}


.btn-farright {
    display: block;
}
  
}









